package com.fdkankan.modeling.exception;

import com.fdkankan.common.constant.ModelingBuildStatus;

public class BuildException extends RuntimeException{

    private static final long serialVersionUID = -1518945670203783450L;
    private ModelingBuildStatus buildStatus;


    public BuildException(ModelingBuildStatus buildStatus){
        super(buildStatus.message());
        this.buildStatus = buildStatus;
    }

    public ModelingBuildStatus getBuildStatus() {
        return buildStatus;
    }
}
